cascading.flow.hadoop

## Class MapReduceFlowStep

- java.lang.Object
- - cascading.flow.planner.BaseFlowStep<org.apache.hadoop.mapred.JobConf>
  - - cascading.flow.hadoop.HadoopFlowStep
    - - cascading.flow.hadoop.MapReduceFlowStep

All Implemented Interfaces:
  FlowStep<org.apache.hadoop.mapred.JobConf>, ProcessModel, ProcessLogger, Serializable

    public class MapReduceFlowStep
    extends HadoopFlowStep

Class MapReduceFlowStep wraps a `JobConf` and allows it to be executed as a `Flow`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class cascading.flow.planner.BaseFlowStep

`flowStepStats, sinks, sources, tempSink`

### Fields inherited from interface cascading.flow.FlowStep

`CASCADING_FLOW_STEP_ID`

### Fields inherited from interface cascading.util.ProcessLogger

`NULL`

### Constructor Summary

Constructors
`protected` `MapReduceFlowStep(String flowName, String stepName, ElementGraph elementGraph, FlowNodeGraph flowNodeGraph, org.apache.hadoop.mapred.JobConf jobConf)`
`protected` `MapReduceFlowStep(String flowName, String stepName, org.apache.hadoop.mapred.JobConf jobConf, Tap sink)`

### Method Summary

Methods
`protected static FlowNodeGraph` `createFlowNodeGraph(org.apache.hadoop.mapred.JobConf jobConf)`
`org.apache.hadoop.mapred.JobConf` `createInitializedConfig(FlowProcess<org.apache.hadoop.mapred.JobConf> flowProcess, org.apache.hadoop.mapred.JobConf parentConfig)` Public for testing.

### Methods inherited from class cascading.flow.hadoop.HadoopFlowStep

`clean, cleanIntermediateData, createFlowStepJob, getConfigAsProperties, initFromSink, initFromSources, initFromTraps, isHadoopLocalMode`

### Methods inherited from class cascading.flow.planner.BaseFlowStep

`addAllGroups, addGroup, addGroups, addListener, addProcessAnnotation, addProcessAnnotation, addSink, addSinks, addSource, addSources, clean, commitSinks, configure, containsPipeNamed, createClientState, equals, fireOnCompleted, fireOnRunning, fireOnStarting, fireOnStopping, fireOnThrowable, getAllAccumulatedSources, getAllOperations, getAnnotations, getConfig, getCreateFlowStepJob, getElementGraph, getFlow, getFlowID, getFlowName, getFlowNodeGraph, getFlowStepDescriptor, getFlowStepJob, getFlowStepStats, getGroup, getGroups, getID, getName, getNextFlowElement, getNextScope, getNodeDisplayName, getNumFlowNodes, getOrdinal, getPreviousScopes, getProcessAnnotations, getSink, getSinkElements, getSinkName, getSinkTaps, getSinkWith, getSourceElements, getSourceName, getSourceTaps, getSourceWith, getStepDisplayName, getStepDisplayName, getSubmitPriority, getTrap, getTrapMap, getTraps, hashCode, hasListeners, initConfFromNodeConfigDef, initConfFromStepConfigDef, isDebugEnabled, isInfoEnabled, logDebug, logError, logError, logInfo, logWarn, logWarn, logWarn, prepareResources, removeListener, rollbackSinks, setConfig, setFlow, setFlowName, setFlowStepDescriptor, setFlowStepStats, setName, setOrdinal, setSubmitPriority, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MapReduceFlowStep

    protected MapReduceFlowStep(String flowName,
                     String stepName,
                     org.apache.hadoop.mapred.JobConf jobConf,
                     Tap sink)

#### MapReduceFlowStep

    protected MapReduceFlowStep(String flowName,
                     String stepName,
                     ElementGraph elementGraph,
                     FlowNodeGraph flowNodeGraph,
                     org.apache.hadoop.mapred.JobConf jobConf)

### Method Detail

#### createInitializedConfig

    public org.apache.hadoop.mapred.JobConf createInitializedConfig(FlowProcess<org.apache.hadoop.mapred.JobConf> flowProcess,
                                                           org.apache.hadoop.mapred.JobConf parentConfig)

Description copied from class: `BaseFlowStep`
Public for testing.

Overrides:
  `createInitializedConfig` in class `HadoopFlowStep`
Returns:

#### createFlowNodeGraph

    protected static FlowNodeGraph createFlowNodeGraph(org.apache.hadoop.mapred.JobConf jobConf)